Skip to main content
GET
/
api
/
lakehouse
/
products
List Lakehouse Products
curl --request GET \
  --url https://api.merchantops.ai/api/lakehouse/products
{
  "items": [
    "<unknown>"
  ],
  "limit": 123,
  "skip": 123,
  "total": 123
}

Headers

authorization
string | null
X-Organization-ID
string | null

Query Parameters

search
string | null

Search by name or brand

needs_review
boolean | null

Filter by needs_review flag

is_duplicate
boolean | null

Filter by is_duplicate flag

promoted
boolean | null

Filter by promoted status

document_id
string | null

Filter by source document ID

created_by
string | null

Filter by user who uploaded (member_id)

brand
string | null

Filter by exact brand match

attribute_key
string | null

Filter by attribute key (e.g., 'color', 'material')

limit
integer
default:50
Required range: 1 <= x <= 200
skip
integer
default:0
Required range: x >= 0

Cookies

stytch_session
string | null

Response

Successful Response

Generic list response with pagination.

items
any[]
required
limit
integer
required
skip
integer
required
total
integer
required